Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 29-12-2020 22:59:37

bartaba
Membre
Distrib. : Debian Buster
Noyau : Linux 4.19.0-13-amd64
(G)UI : Mate
Inscription : 04-02-2014

[topic clos]la désinstallation d'un paquet m'en fait installer 1 autre

Bonjour
J'avais installé le navigateur epiphany mais je voudrais le désinstaller.
Or quand je veux le désinstaller le système m'indique qu'il va installer firefox-esr.
Mais je ne veux pas de firefox-esr car j'ai déjà mon propre firefox dans le dossier /opt
Comment faire SVP ?

sudo apt remove epiphany-browser
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
  epiphany-browser-data
Veuillez utiliser « sudo apt autoremove » pour le supprimer.
Les paquets supplémentaires suivants seront installés :
  firefox-esr
Paquets suggérés :
  fonts-stix | otf-stix fonts-lmodern
Les paquets suivants seront ENLEVÉS :
  epiphany-browser
Les NOUVEAUX paquets suivants seront installés :
  firefox-esr
0 mis à jour, 1 nouvellement installés, 1 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 55,9 Mo dans les archives.
Après cette opération, 198 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n]
 

Dernière modification par bartaba (04-01-2021 23:26:24)

En ligne

#2 30-12-2020 06:29:27

Mca
Membre
Lieu : Essonne
Distrib. : Debian Sid
Noyau : 5.10
(G)UI : Gnome 3
Inscription : 20-09-2019

Re : [topic clos]la désinstallation d'un paquet m'en fait installer 1 autre

bonjour bartaba,

Ceci est un probleme de dependance,

en gros ton installation, a un meta package (en l occurence le tien doit etre"gnome") qui permet d installer un tout coerent, une interface graphique,un lecteur audio,video, un navigateur web et plein d autre petite chose qui te donne un systeme fonctionnel et coerent,

donc quand tu essaye de desinstaller une dependance de ce meta-package soit il te propose de le desinstaller entierement ce qui n est pas vraiment top car tout les paquets qui etait ses dependance et qui ne sont pas marquer comme installer manuellement ou ne depende d un autre paquets pourront se faire supprimer par un simple apt autoremove qui normalement permet de faire un netoyage dans les paquets optionnel qui ne serve plus,

dans ton cas le meta-package gnome a une alternative a te proposer  pour la desinstallation de la dependance ephiphany-browser qui est firefox-esr,

a et ui le systeme apt ne prend pas en compte ton firefox, jme demamde d ailleuir si il y a une solution pour sa scratchhead.gif

tien voici le meta paquets en question :

https://packages.debian.org/buster/gnome

tu peux soit creer un paquets factice pour combler la dependance, mais si un jour cette dependance est vraiment neccesaire cela posera probleme,

ou bien tu peut desinstaller le meta-package gnome et marquer tout les paquets que tu veux garder en installation manuel,

au ca ou :

le meta-package: est un paquets qui en installe d'autre pour eviter que l on est a installer des dizaine de paquets manuellement pour avoir dans ce ca si un environnement de bureau complet et fonctionnel

personnelement les deux solution que j ai apporter sont a eviter, si on ne veux pas perdre une voir quelque heure juste pour quelque paquets du type ephiphany

et certain te diront de garder le meta-paquet car cela te donne un tout plus coerent qui verifie bien que tout est la pour que cela soit fonctionnel

apres tu peut toujours installer le meta-paquets gnome-core qui contient beaucoup moins de dependance et desinstaller gnome mais meme gnome-core a une deendance pour un navigateur web

Dernière modification par Mca (30-12-2020 06:51:33)

Hors ligne

#3 30-12-2020 11:21:57

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-18-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : [topic clos]la désinstallation d'un paquet m'en fait installer 1 autre

Hello
Oui Firefox-esr doit être traité comme dépendance d'un meta-paquet d'environnement de Bureau

tu as supprimé Firefox-esr ce qui va sûrement posé problème lors du prochain update car des paquets proposé pour apt autoremove ne doivent pas être supprimé
le fait de réinstallé Firefox-esr ne résoudra pas le problème
je pense qu'il faut réinstallé l'environnement de Bureau , puis ensuite marqué firefox-esr comme installé manuellement pour qu'il ne soit plus traité comme dépendance  et enfin tu pourras supprimé Firefox-esr en toute tranquillité 

Si j'en crois ton profil ton environnement de Bureau est Mate , le meta paquet utilisé lors de l'installation est task-mate-desktop

apt install task-mate-desktop



puis

apt-mark manual firefox-esr



apt remove firefox-esr



avant de désintaller un paquet il faudrait pour bien faire s 'assuré de son status installé manuellement
avec la commande

apt-mark showmanual |less


ephiphany-browser se retrouve dans la liste des paquet installé manuellement , ainsi que ton Firefox de /opt



les paquets présent dans la liste des automatiques sont traités comme dépendances et ne doivent pas être désinstallé sans avoir changé leur statu en manual

apt-mark showauto |less

Dernière modification par Croutons (30-12-2020 11:23:08)


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#4 31-12-2020 12:30:36

bartaba
Membre
Distrib. : Debian Buster
Noyau : Linux 4.19.0-13-amd64
(G)UI : Mate
Inscription : 04-02-2014

Re : [topic clos]la désinstallation d'un paquet m'en fait installer 1 autre

re

tu as supprimé Firefox-esr


Je ne l'ai pas supprimé, il n'a jamais été installé.
De base je n'avais aucun navigateur installé, c'est pour ça que j'ai installé epiphany.
Je ne voulais pas installé firefox-esr car j'avais déjà un profil firefox d'un firefox 83, comme firefox-esr est un peu plus vieux j'ai eu peur firefox-esr pose problème avec un profil d'une version plus récente de firefox, bref...

le meta paquet utilisé lors de l'installation est task-mate-desktop


ce paquet n'est pas installé sur ma machine, ce n'est pas normal ? Et je dois donc l'installer comme tu me l'indiques ?
Pour installer mate je l'avais fait manuellement avec apt install mate-desktop-environment-core

En ligne

#5 31-12-2020 13:11:18

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-18-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : [topic clos]la désinstallation d'un paquet m'en fait installer 1 autre

ah non  du coup tu as installé les composants essentiel
la je vois pas trop d’où viens le soucis
et si tu fais

apt policy firefox

ça donne quoi


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#6 31-12-2020 13:42:25

bartaba
Membre
Distrib. : Debian Buster
Noyau : Linux 4.19.0-13-amd64
(G)UI : Mate
Inscription : 04-02-2014

Re : [topic clos]la désinstallation d'un paquet m'en fait installer 1 autre

$ apt policy firefox
firefox:
  Installé : (aucun)
  Candidat : (aucun)
 Table de version :
 



mais c'est normal car j'ai téléchargé firefox directement sur leur site officiel je n'ai pas installé de paquet debian

En ligne

#7 31-12-2020 21:17:44

robert2a
Membre
Distrib. : Arch Linux
(G)UI : Mate
Inscription : 15-11-2014

Re : [topic clos]la désinstallation d'un paquet m'en fait installer 1 autre

Bonsoir

il me semble que "candidat" tu devrais avoir la version disponible quand même ?
un exemple :


apt policy epiphany-browser
epiphany-browser:
  Installé : (aucun)
  Candidat : 3.38.2-1
 Table de version :
     3.38.2-1 500
        500 http://deb.debian.org/debian bullseye/main amd64 Packages
 



ps: sur ma machine en mate

Hors ligne

#8 01-01-2021 10:29:04

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-18-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : [topic clos]la désinstallation d'un paquet m'en fait installer 1 autre

c'est sous forme de fichier compressé firefox , il y a peut etre pas de paquet installé
l'installation ce fait surement avec un script
du coup y'a rien y'a aucun

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#9 02-01-2021 11:52:41

bartaba
Membre
Distrib. : Debian Buster
Noyau : Linux 4.19.0-13-amd64
(G)UI : Mate
Inscription : 04-02-2014

Re : [topic clos]la désinstallation d'un paquet m'en fait installer 1 autre

Croutons a écrit :

c'est sous forme de fichier compressé firefox , il y a peut etre pas de paquet installé
l'installation ce fait surement avec un script
du coup y'a rien y'a aucun


oui c'est bien ça : pas de paquet installé, juste un éxécutable dans /opt

En ligne

#10 02-01-2021 12:13:47

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-18-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : [topic clos]la désinstallation d'un paquet m'en fait installer 1 autre

firefox-esr est sûrement une dépendance d'un meta paquet, du coup tu as beau le supprimé il sera réinstallé
j'avais eu le même soucis avec libre office qui avait du être installé automatiquement, je l'ai désinstallé et ils c'est réinstallé suite a une mise à jour

Un truc a tenté(j'ai pas vérifié si c'est éfficace) , tu laisse firefox-esr se réinstaller, puis tu le marque comme installé manuellement

apt-mark manual firefox-esr


la il ne devrait plus etre traité comme dépendance, c'est bizarre car il me semble pas qu'il fasse parti du paquet mate-desktop-environment-core
peut être un autre meta paquet qui te l'a installé

Dernière modification par Croutons (05-01-2021 09:53:01)


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#11 04-01-2021 23:25:32

bartaba
Membre
Distrib. : Debian Buster
Noyau : Linux 4.19.0-13-amd64
(G)UI : Mate
Inscription : 04-02-2014

Re : [topic clos]la désinstallation d'un paquet m'en fait installer 1 autre

merci pour l'aide mais finalement je vais en rester là je ne vais rien toucher

En ligne

#12 05-01-2021 01:09:40

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian
Noyau : Dur
(G)UI : gui gui, je zuis un doiseau
Inscription : 07-07-2008
Site Web

Re : [topic clos]la désinstallation d'un paquet m'en fait installer 1 autre

Et donc, en fait, tu dois simplement avoir un paquet qui dépend de www-browser.
www-browser est un paquet virtuel. Quand un logiciel dépend de www-browser, il force apt à installer un logiciel qui « fournit » www-browser.
C'est le cas des différents paquets proposant des navigateurs. Pour avoir la liste :

aptitude search '~Pwww-browser'



Bref, si tu ne veux pas epiphany, installer w3m ou links2 (des navigateurs en mode texte, très légers) t'en débarrassera, mais cela créera d'autres problèmes.

Reste que, ton problème vient du fait que tu n'utilises pas un navigateur packagé par debian.


captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.
Je suis parrain linux !

Hors ligne

Pied de page des forums